Announcement

Collapse
No announcement yet.

after updating to 4.0.5 when sending news letter i get this error

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Forum] after updating to 4.0.5 when sending news letter i get this error

    Code:
     
    Database error in vBulletin 4.0.5:
    Invalid SQL:
    UPDATE forum SET replycount=replycount+1,threadcount=threadcount+1,lastpost='1281107155',lastposter='admin' WHERE forumid IN ();
    MySQL Error   : You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1
    Error Number  : 1064
    Request Date  : Friday, August 6th 2010 @ 11:05:55 AM
    Error Date    : Friday, August 6th 2010 @ 11:05:55 AM
    Script        : http://www.clearwaterbiker.biz/forum...ll.php?do=send
    Referrer      : http://www.clearwaterbiker.biz/forum...p/commbull.php
    IP Address    : 65.35.248.209
    Username      : admin
    Classname     : vB_Database
    MySQL Version : 5.1.48-ius

  • #2
    I cannot find that query in the default 4.0.5 code. You should check your modifications and see if it is in one of them.

    Please don't PM or VM me for support - I only help out in the threads.
    vBulletin Manual & vBulletin 4.0 Code Documentation (API)
    Want help modifying your vbulletin forum? Head on over to vbulletin.org
    If I post CSS and you don't know where it goes, throw it into the additional.css template.

    W3Schools <- awesome site for html/css help

    Comment


    • #3
      when you mean modifications you mean like any add ons that I have done?

      Comment


      • #4
        I also get the error code internal error server 500 every time i post like a blank page liek redirecting is wrong after posting
        according to my host they say that this is wrong ehh
        see there reply to that error

        As Phil wrote before, the problem here is with the SQL statement that your software's using:

        > ... WHERE forumid IN ();

        The IN clause lacks arguments, and so causes an error. You'll need to take this up with vBulletin; there's not anything we can do from our end to change this.

        Comment


        • #5
          Originally posted by jiffylb1 View Post
          when you mean modifications you mean like any add ons that I have done?
          Yes. Specifically, the 'newsletter' one that you are receiving this error on.

          You should probably update it to a version compatible with vB4.
          My Live vB5 Site - NZEating.com
          vBulletin Hosting | vBulletin Services - Need hosting for your vB? Need it installed? Something else? Let me take that hassle off your hands.

          Comment


          • #6
            Which program are you using that sends newsletters? Are you talking about an email post internal to vb or a non-vb program
            WestCoastGearHeads.com vb 4.1.10

            Comment

            Loading...
            Working...
            X